addpath(genpath('.'));

%number of topics
model.ntopics=60;

%parameter for dirichlet distr. (assumed same entry across vector)
model.initial_alpha=1/60;

%smoothing parameter
model.lap=0.01;

%convergence parameters
model.var_converged=0.001;
model.var_max_iter=100;
model.em_converged=0.001;
model.em_max_iter=500;


%load data
load data/data;


%train FDLDA model
disp('Learning Model...');
model=train(model,data);

%print topics
getTopics(model.wp,data.words,8);

